Bug 706696 - A who command can't show all logged in users
A who command can't show all logged in users
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
15
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-22 07:29 EDT by rvcsaba
Modified: 2012-08-06 16:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 16:06:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rvcsaba 2011-05-22 07:29:54 EDT
Description of problem:

I - user 'csaba' - login from ssh:

[csaba@reindeer ~]$ who
csaba    pts/0        2011-05-22 13:13 (bc241b00.catv.pool.telekom.hu)
[csaba@reindeer ~]$ last -5
csaba    pts/0        bc241b00.catv.po Sun May 22 13:13   still logged in   
agica    pts/1        :0.0             Sun May 22 13:04 - 13:06  (00:01)    
csaba    pts/0        bc241b00.catv.po Sun May 22 13:04 - 13:11  (00:07)    
csaba    pts/0        bc241b00.catv.po Sun May 22 11:53 - 12:02  (00:08)    
reboot   system boot  2.6.38.7-28.rc1. Sun May 22 11:47 - 13:14  (01:26)    

wtmp begins Sat May 21 18:50:53 2011
[csaba@reindeer ~]$ top -n1 | grep agica
 1877 agica     20   0  285m  66m  20m S 14.8  4.4   9:43.67 skype              
 1682 agica     20   0 30612  15m 6448 S  9.9  1.0   3:26.33 emerald            
 1486 agica     20   0  191m  11m 9788 S  1.2  0.8   0:15.68 xfce4-panel        
 1617 agica     20   0 33068  17m 5940 S  1.2  1.2   0:19.25 xfce4-xkb-plugi    
 1704 agica     20   0  498m  83m  28m S  1.2  5.5   3:16.90 firefox            
[csaba@reindeer ~]$ who
csaba    pts/0        2011-05-22 13:13 (bc241b00.catv.pool.telekom.hu)

User 'agica' logged in, but who can't show her.

Version-Release number of selected component (if applicable):

coreutils-8.10-2.fc15.i686

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

A who command show all logged in users.

Additional info:
Comment 1 Ondrej Vasik 2011-05-24 01:27:17 EDT
Are you sure that she was still logged in? Command last -5 you provided doesn't say she is still logged in (13:04 - 13:06  (00:01)). Maybe some processes still hanging ...
Is that reproducible? How? Could you briefly describe the scenario? What about who -a - is output the same? All what who does is just reading utmp file (/var/run/utmp), so I doubt the problem is in who itself. As there were /var/run/ changes due to systemd, is SELinux disabled, permissive or enforcing?
Comment 2 rvcsaba 2011-05-24 02:54:37 EDT
(In reply to comment #1)
> Are you sure that she was still logged in? Command last -5 you provided doesn't
> say she is still logged in (13:04 - 13:06  (00:01)). Maybe some processes still
> hanging ...

Yes, she was logged on, because I talked to her on Skype. Please see 'top -n1' output. The 'last' in the second row of false information.


> Is that reproducible? How? Could you briefly describe the scenario? What about
> who -a - is output the same? All what who does is just reading utmp file
> (/var/run/utmp), so I doubt the problem is in who itself. As there were
> /var/run/ changes due to systemd, is SELinux disabled, permissive or enforcing?

Are still being tested, and write about it for more information.
Comment 3 rvcsaba 2011-05-24 03:12:09 EDT
Hm, this is a my Fedora 15, up to date machine:

[csaba@deer ~]$ su - sanyi
Password: 
[sanyi@deer ~]$ who
csaba    pts/0        2011-05-24 08:55 (:0.0)
csaba    pts/1        2011-05-24 08:55 (:0.0)
[sanyi@deer ~]$ who -a
LOGIN      tty4         2011-05-24 08:34              2187 id=tty4
LOGIN      tty3         2011-05-24 08:34              2188 id=tty3
LOGIN      tty5         2011-05-24 08:34              2189 id=tty5
LOGIN      tty6         2011-05-24 08:34              2190 id=tty6
LOGIN      tty2         2011-05-24 08:34              2191 id=tty2
           system boot  2011-05-24 08:33
           run-level 5  2011-05-24 08:34
csaba    + pts/0        2011-05-24 08:55   .          4952 (:0.0)
csaba    + pts/1        2011-05-24 08:55   .          4952 (:0.0)
[sanyi@deer ~]$ last -n5
csaba    pts/1        :0.0             Tue May 24 08:55   still logged in   
csaba    pts/0        :0.0             Tue May 24 08:55   still logged in   
csaba    pts/0        :0.0             Tue May 24 08:52 - 08:52  (00:00)    
csaba    pts/0        :0.0             Tue May 24 08:36 - 08:37  (00:01)    
reboot   system boot  2.6.38.7-28.rc1. Tue May 24 08:33 - 09:03  (00:30)    

wtmp begins Sun May 22 11:18:00 2011
[sanyi@deer ~]$ date
Tue May 24 09:07:22 CEST 2011

See prompt, user 'sanyi' is logged on, but 'who' and 'who -a' command can't see him. User 'sanyi' running a 'who' command. I use selinux enforcing mode, targeted rules.

Huh, please see 'last -n5' on last row! My machine is turned on - I writing this post -, but the 'last', the computer is turned off at 9:03.
Comment 4 rvcsaba 2011-05-24 03:15:35 EDT
[csaba@deer ~]$ su - sanyi
Password: 
[sanyi@deer ~]$ who
csaba    pts/0        2011-05-24 08:55 (:0.0)
csaba    pts/1        2011-05-24 08:55 (:0.0)
[sanyi@deer ~]$ whoami
sanyi

:)
Comment 5 rvcsaba 2011-10-28 08:53:12 EDT
Is this a ConsoleKit problem? I use lxdm.
Comment 6 Ondrej Vasik 2011-10-28 09:27:05 EDT
Possibly, adding ConsoleKit maintainer to CC...
Comment 7 rvcsaba 2011-10-28 09:49:05 EDT
(In reply to comment #6)
> Possibly, adding ConsoleKit maintainer to CC...

You can reproduce this bug? On Fedora 14, 'who' work correctly. This problem only since Fedora 15.
Comment 8 Ondrej Vasik 2011-10-28 09:52:57 EDT
No, I can't (tried on RHEL-6 and F14 and it just worked correctly) - therefore there were no updates so far... I'll check that on F15/F16 ...
Comment 9 rvcsaba 2011-10-28 10:41:58 EDT
It is possible that if you use GDM, the problem does not occur. Please test this bug with LXDM.
Comment 10 Fedora End Of Life 2012-08-06 16:06:33 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2012-08-06 16:06:33 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.